メインコンテンツまでスキップ

Create Spark Backfill Job (V2)

Creates a Spark Backfill job. The project is selected by the projectId path parameter.

POST/v2/projects/{projectId}/jobs/backfill
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authorization token.

Idempotency-Keystringheader

A unique key that makes repeated create requests idempotent.

projectIdstringpathrequired

The project ID.

Request Body
clusterIdstringrequired

The target cluster ID.

dbNamestringrequired

The database name.

collectionNamestringrequired

The collection name.

fieldsarrayrequired

The target fields.

[]fieldsstring
(To be added soon)
columnMappingobjectrequired

Source-to-target column mapping.

modestringrequired

The backfill mode.

resourceSizestringrequired

The Spark resource size.

timeoutSecondsinteger<int64>required

The timeout in seconds.

Responses

Backfill job created.

jobIdstringrequired

The job ID.

projectIdstringrequired

The project ID the job belongs to.

typestringrequired

The job type.

descriptionstring

The job description.

statusstringrequired

The job status.

regionIdstringrequired

The cloud region ID.

clusterIdstring

The cluster ID.

createdAtstring

Creation time (ISO 8601).

startedAtstring

Start time (ISO 8601).

finishedAtstring

Finish time (ISO 8601).

durationSecondsinteger<int64>

The duration in seconds.

Ctrl I